## skippy-xd 0.5.1~git20150224~ubuntu14.04.1

=== debian/changelog ===
skippy-xd (0.5.1~git20150224~ubuntu14.04.1) trusty; urgency=low

  * Auto build.

 -- Xubuntu Developers <xubuntu-dev@lists.launchpad.net>  Tue, 24 Feb 2015 13:47:11 +0000

skippy-xd (0.5.1~git-1~precise~ppa1) precise; urgency=low

  * Prepare for daily recipe builds. 

 -- Liviu Andronic <landronimirc@gmail.com>  Fri, 10 May 2013 09:59:38 +0200

skippy-xd (0.5.1~hg20111223-1~precise~ppa3) precise; urgency=low

  * Install config example skippy-xd.rc-default to /usr/share/skippy-xd .
  * Install skippy-xd-activate convenience wrapper that runs 
    'sleep 0.15 && skippy-xd --activate-window-picker', which introduces
    a small delay before activating the daemon and hopefully improves
    reliability.
  * Install skippy-xd-restart convenience wrapper that can be used to 
    quickly restart the daemon in case it crashes.
  * touch skippy-xd.rc-default to avoid "time stamp too far in the past"
    Launchpad upload error.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 07 Feb 2013 09:59:38 +0200

skippy-xd (0.5.1~hg-1~precise~ppa1) precise; urgency=low

  * Initial release.
  * Forked code of the original 0.5.0 skippy-xd release, 
    with several improvements.
  * Code downloaded from http://code.google.com/p/skippy-xd/ Mercurial repo.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 31 Jan 2013 09:59:38 +0200

## skippy-xd 0.5.1~git20160429~mx17

=== debian/changelog ===
skippy-xd (0.5.1~git20160429~mx17) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 01 Sep 2018 11:53:47 -0400

skippy-xd (0.5.1~git20160429~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Liviu Andronic <landronimirc@gmail.com>  Fri, 29 Apr 2016 20:53:07 +0000

## skippy-xd 0.5.1~git20160429~mx19

=== Makefile ===
PREFIX ?= /usr
BINDIR ?= ${PREFIX}/bin

CC ?= gcc

SRCS_RAW = skippy wm dlist mainwin clientwin layout focus config tooltip img img-xlib
PACKAGES = x11 xft xrender xcomposite xdamage xfixes

# === Options ===
ifeq "${CFG_NO_XINERAMA}" ""
	CPPFLAGS += -DCFG_XINERAMA
	PACKAGES += xext xinerama
endif

ifeq "${CFG_NO_PNG}" ""
	CPPFLAGS += -DCFG_LIBPNG
	SRCS_RAW += img-png
	PACKAGES += libpng zlib
endif

ifeq "${CFG_NO_JPEG}" ""
	CPPFLAGS += -DCFG_JPEG
	SRCS_RAW += img-jpeg
	LIBS += -ljpeg
endif

ifeq "${CFG_NO_GIF}" ""
	CPPFLAGS += -DCFG_GIFLIB
	SRCS_RAW += img-gif
	LIBS += -lgif
endif

ifeq "$(CFG_DEV)" ""
	CFLAGS ?= -DNDEBUG -O2 -D_FORTIFY_SOURCE=2
else
	CC = clang
	CFLAGS += -ggdb -Wshadow -Weverything -Wno-unused-parameter -Wno-conversion -Wno-sign-conversion -Wno-gnu -Wno-disabled-macro-expansion -Wno-padded -Wno-c11-extensions -Wno-sign-compare -Wno-vla -Wno-cast-align
	export LD_ALTEXEC = /usr/bin/ld.gold
	# Xinerama debugging
	CPPFLAGS += -DDEBUG_XINERAMA
endif

CFLAGS += -std=c99 -Wall
LDFLAGS ?= -Wl,-O1 -Wl,--as-needed
INCS = $(shell pkg-config --cflags $(PACKAGES))
LIBS += -lm $(shell pkg-config --libs $(PACKAGES))

# === Version string ===
SKIPPYXD_VERSION ?= git-$(shell git describe --always --dirty)-$(shell git log -1 --date=short --pretty=format:%cd)
CPPFLAGS += -DSKIPPYXD_VERSION="\"${SKIPPYXD_VERSION}\""

# === Recipes ===
EXESUFFIX =
BINS = skippy-xd${EXESUFFIX}
SRCS = $(foreach name,$(SRCS_RAW),src/$(name).c)
HDRS = $(foreach name,$(SRCS_RAW),src/$(name).h)
OBJS = $(foreach name,$(SRCS_RAW),$(name).o)

.DEFAULT_GOAL := skippy-xd${EXESUFFIX}

%.o: src/%.c ${HDRS}
	${CC} ${INCS} ${CFLAGS} ${CPPFLAGS} -c src/$*.c

skippy-xd${EXESUFFIX}: ${OBJS}
	${CC} ${LDFLAGS} -o skippy-xd${EXESUFFIX} ${OBJS} ${LIBS}

clean:
	rm -f ${BINS} ${OBJS} src/.clang_complete

install: ${BINS} skippy-xd.sample.rc
	install -d "${DESTDIR}${BINDIR}/" "${DESTDIR}/etc/xdg/"
	install -m 755 ${BINS} "${DESTDIR}${BINDIR}/"
	install -m 644 skippy-xd.sample.rc "${DESTDIR}/etc/xdg/skippy-xd.rc"

uninstall:
	# Should configuration file be removed?
	rm -f $(foreach bin,$(BINS),"${DESTDIR}${BINDIR}/$(bin)")

src/.clang_complete: Makefile
	@(for i in $(filter-out -O% -DNDEBUG, $(CPPFLAGS) $(CFLAGS) $(INCS)); do echo "$$i"; done) > $@

version:
	@echo "${COMPTON_VERSION}"

.PHONY: uninstall clean docs version

=== debian/changelog ===
skippy-xd (0.5.1~git20160429~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 25 Oct 2019 14:31:16 -0400

=== debian/control ===
Source: skippy-xd
Section: x11
Priority: optional
Maintainer: Liviu Andronic <landronimirc@gmail.com>
Build-Depends: debhelper (>= 8.0.0), libimlib2-dev, libfontconfig1-dev, 
  libfreetype6-dev, libx11-dev, libxext-dev, libxft-dev, libxrender-dev, 
  zlib1g-dev, libxinerama-dev, libxcomposite-dev, libxdamage-dev, 
  libxfixes-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/skippy-xd/

Package: skippy-xd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: standalone composited Exposé-like window picker for X11
 Skippy-XD is a program that provides Exposé-like features found on the Mac
 OS X operating system. It is a standalone application for providing a window 
 picker with live previews (including live video) on Linux desktops that run 
 an X server with compositing support. Thus it is not part of the window 
 manager, and the compositing is not being used all the time. 
 .
 If you work with many windows, your desktop may begin to get cluttered.  You
 can use Skippy-XD to quickly and conveniently find the right window that you 
 are looking for. It allows you to press a hotkey and see miniature versions 
 of all your active windows at once. 
 .
 To use Skippy-XD, you need Xfce (xfwm4) or a NetWM compliant window 
 manager (LXDE, Openbox-based window managers, etc.).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	touch skippy-xd.rc-default
	make DESTDIR=./debian/skippy-xd PREFIX=/usr install
	#dh_auto_install


%:
	dh $@

## skippy-xd 0.5.2

=== Makefile ===
--- 
+++ 
@@ -67,10 +67,11 @@
 clean:
 	rm -f ${BINS} ${OBJS} src/.clang_complete
 
-install: ${BINS} skippy-xd.sample.rc
+install: ${BINS} skippy-xd.sample.rc skippy-xd_run
 	install -d "${DESTDIR}${BINDIR}/" "${DESTDIR}/etc/xdg/"
 	install -m 755 ${BINS} "${DESTDIR}${BINDIR}/"
 	install -m 644 skippy-xd.sample.rc "${DESTDIR}/etc/xdg/skippy-xd.rc"
+	install -m 755 skippy-xd_run "${DESTDIR}${BINDIR}/"
 
 uninstall:
 	# Should configuration file be removed?

=== debian/changelog ===
skippy-xd (0.5.2-1+5gnuinos1) unstable; urgency=medium

  * Modified the script skippy-xd_run
  * New upstream version 0.5.2

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 21 Sep 2025 17:22:13 +0200

skippy-xd (0.5.1-1+5gnuinos2) unstable; urgency=medium

  * Added a script that gives focus to the active window, the one 
    switched by the user. Afterwards, the script also tries to center 
    the window on the screen, but not always succeeds (e.g. when the 
    window is offscreen on the left side). This bug is pending to be 
    fixed.

 -- Aitor <aitor_czr@gnuinos.org>  Tue, 02 Sep 2025 21:14:19 +0200

skippy-xd (0.5.1-1+5gnuinos1) unstable; urgency=low

  * Initial release

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 02 Aug 2025 11:12:36 +0200

=== debian/control ===
Source: skippy-xd
Section: x11
Priority: optional
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Build-Depends: debhelper (>= 9), libimlib2-dev (>=1.4.6-2), libfontconfig1-dev (>=2.11.0~), libfreetype6-dev (>=2.5.2~), libx11-dev (>=2:1.6.2-3), libxext-dev (>=2:1.3.3-1), libxft-dev (>=2.3.2-1), libxrender-dev (>=1:0.9.8-1), zlib1g-dev (>= 1:1.2.8~), libxinerama-dev (>= 2:1.1.3-1), libxcomposite-dev (>= 1:0.4.4-1), libxdamage-dev (>= 1:1.1.4-2), libxfixes-dev (>= 1:5.0.1-2), libxmu-dev (>= 2:1.1.2-1)
Standards-Version: 3.9.5.0
Origin: Gnuinos
Homepage: https://github.com/richardgv/skippy-xd

Package: skippy-xd
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool, wmctrl
Recommends: brightside
Description: Skippy-XD
 Standalone composited window picker (displays all your windows at once, with live previews).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@
	
override_dh_strip:

## skippy-xd 2025.08.16

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,21 @@
 PREFIX ?= /usr
 BINDIR ?= ${PREFIX}/bin
 
-CC ?= gcc
+ifeq ($(shell command -v clang 2>&1 | grep -c "clang"), 1)
+	CC = clang
+else
+	CC ?= gcc
+endif
+
+CPPFLAGS += -std=c99 -Wall -I/usr/include/freetype2
 
 SRCS_RAW = skippy wm dlist mainwin clientwin layout focus config tooltip img img-xlib
-PACKAGES = x11 xft xrender xcomposite xdamage xfixes
+PACKAGES = x11 xft xrender xcomposite xdamage xfixes xext
 
 # === Options ===
 ifeq "${CFG_NO_XINERAMA}" ""
 	CPPFLAGS += -DCFG_XINERAMA
-	PACKAGES += xext xinerama
+	PACKAGES += xinerama
 endif
 
 ifeq "${CFG_NO_PNG}" ""
@@ -32,6 +38,12 @@
 
 ifeq "$(CFG_DEV)" ""
 	CFLAGS ?= -DNDEBUG -O2 -D_FORTIFY_SOURCE=2
+
+	ifeq "$(CC)" "clang"
+		CPPFLAGS += -Wno-unused-function
+	else # gcc
+		CPPFLAGS += -Wno-unused-but-set-variable
+	endif
 else
 	CC = clang
 	CFLAGS += -ggdb -Wshadow -Weverything -Wno-unused-parameter -Wno-conversion -Wno-sign-conversion -Wno-gnu -Wno-disabled-macro-expansion -Wno-padded -Wno-c11-extensions -Wno-sign-compare -Wno-vla -Wno-cast-align
@@ -46,8 +58,8 @@
 LIBS += -lm $(shell pkg-config --libs $(PACKAGES))
 
 # === Version string ===
-SKIPPYXD_VERSION ?= git-$(shell git describe --always --dirty)-$(shell git log -1 --date=short --pretty=format:%cd)
-CPPFLAGS += -DSKIPPYXD_VERSION="\"${SKIPPYXD_VERSION}\""
+SKIPPYXD_VERSION = "$(shell cat version.txt)"
+CPPFLAGS += -DSKIPPYXD_VERSION=\"${SKIPPYXD_VERSION}\"
 
 # === Recipes ===
 EXESUFFIX =
@@ -67,11 +79,22 @@
 clean:
 	rm -f ${BINS} ${OBJS} src/.clang_complete
 
-install: ${BINS} skippy-xd.sample.rc skippy-xd_run
+install-check:
+	@echo "'make install' target folders:"
+	@echo "PREFIX=${PREFIX} DESTDIR=${DESTDIR} BINDIR=${BINDIR}"
+	@echo "skippy executables will be installed into: ${DESTDIR}${BINDIR}"
+
+install: ${BINS} skippy-xd.sample.rc
 	install -d "${DESTDIR}${BINDIR}/" "${DESTDIR}/etc/xdg/"
 	install -m 755 ${BINS} "${DESTDIR}${BINDIR}/"
+
+ifneq ("$(wildcard skippy-xd.rc)","")
+	@echo "your custom skippy config file will be installed to: ${DESTDIR}/etc/xdg/skippy-xd.rc"
+	install -m 644 skippy-xd.rc "${DESTDIR}/etc/xdg/skippy-xd.rc"
+else
+	@echo "skippy's default config file will be installed to: ${DESTDIR}/etc/xdg/skippy-xd.rc"
 	install -m 644 skippy-xd.sample.rc "${DESTDIR}/etc/xdg/skippy-xd.rc"
-	install -m 755 skippy-xd_run "${DESTDIR}${BINDIR}/"
+endif
 
 uninstall:
 	# Should configuration file be removed?

=== Packaging/Port/Makefile ===
PORTNAME=	skippy-xd
PORTVERSION=	0.5.0
PORTREVISION=	3
CATEGORIES=	x11-wm

MAINTAINER=	danfe@FreeBSD.org
COMMENT=	Full-screen Expose-style standalone task switcher for X11
WWW=		https://github.com/richardgv/skippy-xd

LICENSE=	GPLv2

LIB_DEPENDS=	libgif.so:graphics/giflib \
		libpng.so:graphics/png

USES=		gmake jpeg pkgconfig xorg
USE_XORG=	x11 xcomposite xdamage xext xfixes xft xinerama xrender

USE_GITHUB=	yes
GH_ACCOUNT=	richardgv
GH_TAGNAME=	397216c

MAKE_ARGS=	SKIPPYXD_VERSION=${PORTVERSION}-git-${GH_TAGNAME}-2015-02-24

PLIST_FILES=	bin/skippy-xd \
		@sample\ etc/xdg/skippy-xd.rc.sample
PORTDOCS=	CHANGELOG

OPTIONS_DEFINE=	DOCS

post-install-DOCS-on:
	@${MKDIR} ${STAGEDIR}${DOCSDIR}
	${INSTALL_DATA} ${WRKSRC}/CHANGELOG ${STAGEDIR}${DOCSDIR}

.include <bsd.port.mk>

=== debian/changelog ===
skippy-xd (2025.08.16-1~mx25) mx; urgency=medium

  * Rebuild for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 04 Sep 2025 18:52:57 +0000

skippy-xd (2025.08.16-1~mx23) mx; urgency=medium

  * New upstream version for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 04 Sep 2025 18:09:24 +0000

skippy-xd (2023.06.25-1~mx23) mx; urgency=medium

  * Newer version built for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 02 Sep 2025 19:56:15 +0000

=== debian/control ===
Source: skippy-xd
Section: x11
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Liviu Andronic <landronimirc@gmail.com>
Build-Depends:  debhelper-compat (= 13),
				libimlib2-dev,
				libx11-dev, 
				libxcomposite-dev (>= 1:0.4.3-2), 
				libxft-dev, 
				libxinerama-dev,
				libxrender1 (>= 1:0.9.6-2), 
				libxfixes3 (>= 1:5.0-4), 
				libxdamage-dev (>= 1:1.1.3-2), 
				libxft2 (>= 2.2.0-3ubuntu1)
Standards-Version: 3.9.2
Homepage: https://github.com/felixfung/skippy-xd

Package: skippy-xd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: standalone composited Exposé-like window picker for X11
 Skippy-XD is a program that provides Exposé-like features found on the Mac
 OS X operating system. It is a standalone application for providing a window 
 picker with live previews (including live video) on Linux desktops that run 
 an X server with compositing support. Thus it is not part of the window 
 manager, and the compositing is not being used all the time. 
 .
 If you work with many windows, your desktop may begin to get cluttered.  You
 can use Skippy-XD to quickly and conveniently find the right window that you 
 are looking for. It allows you to press a hotkey and see miniature versions 
 of all your active windows at once. 
 .
 To use Skippy-XD, you need Xfce (xfwm4) or a NetWM compliant window 
 manager (LXDE, Openbox-based window managers, etc.).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	touch skippy-xd.rc-default
	make DESTDIR=./debian/skippy-xd PREFIX=/usr install
	#dh_auto_install

override_dh_dwz:


%:
	dh $@
